#
# spec file for package perl-DBD-XBase (Version 0.177)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  perl-DBI
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl perl-DBI ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         perl-DBD-XBase
Obsoletes:    dbdxbase
Provides:     dbdxbase
Copyright:    Artistic License
Group:        Development/Libraries/Perl
Autoreqprov:  on
Version:      0.177
Release:      31
Provides:     dbdxbase
Summary:      Provides Access to XBase Files
URL:          http://www.fi.muni.cz/~adelton/perl/
Source:       http://www.cpan.org/authors/id/JANPAZ/DBD-XBase-%{version}.tar.bz2
BuildRoot:    /var/tmp/%{name}-build

%description
Module XBase provides access to XBase (dBase, Fox*) database files,
namely dbf, dbt, fpt, ndx, ntx, mdx, idx and cdx.

Authors:
--------
    Jan Pazdziora <adelton@fi.muni.cz>

SuSE series: perl

%prep
%setup -n DBD-XBase-%{version}

%build
perl Makefile.PL
make
%ifnarch alpha
make test
%endif

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{perl_archlib}
make PREFIX=$RPM_BUILD_ROOT/%{_prefix} \
     INSTALLMAN1DIR=$RPM_BUILD_ROOT/%{_mandir}/man1 \
     INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
     install
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
cat $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod | sed "s@$RPM_BUILD_ROOT@@g" > $RPM_BUILD_ROOT/var/adm/perl-modules/perl-DBD-XBase
cd $RPM_BUILD_ROOT%{perl_sitearch}/auto/XBase
cat .packlist | sed "s@$RPM_BUILD_ROOT@@g" | sort -u > .packlist

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes MANIFEST README ToDo
%doc %{_mandir}/man1/*
%doc %{_mandir}/man3/*
/usr/bin/*
%{perl_sitearch}/../DBD
%{perl_sitearch}/../XBase
%{perl_sitearch}/../XBase.pm
%{perl_sitearch}/auto/XBase
/var/adm/perl-modules/perl-DBD-XBase

%changelog -n perl-DBD-XBase
* Tue Aug 14 2001 - rvasice@suse.cz
- update to version 0.177
- spec file cleanup
* Thu Apr 19 2001 - cihlar@suse.cz
- disabled make test on alpha due to
  Floating point exception
* Fri Mar 23 2001 - cihlar@suse.cz
- added make test
* Tue Mar 06 2001 - cihlar@suse.cz
- renamed dbdxbase -> perl-DBD-XBase
- updated to version 0.176
* Mon Oct 30 2000 - cihlar@suse.cz
- added %%defattr(-,root,root)
* Tue Aug 22 2000 - ro@suse.de
- fixed perl path
* Tue Aug 01 2000 - cihlar@suse.cz
- package created
